// providers

var MerlinSettingsListProvider = Class.create(AbstractContentProvider, {
	initialize: function($super, showFnc){
		$super(URL.merlinsettings, showFnc);
		},
		
		renderXML: function(xml){
			var list = new MerlinSettingsList(xml).getArray();
			return { merlinsetting : list };
		}
	});
	
var ChannellistSettingsListProvider = Class.create(AbstractContentProvider, {
	initialize: function($super, showFnc){
		$super(URL.channellistsettings, showFnc);
		},
		
		renderXML: function(xml){
			var list = new ChannellistSettingsList(xml).getArray();
			return { channellistsetting : list };
		}
	});
	
var DMMSettingsListProvider = Class.create(AbstractContentProvider, {
	initialize: function($super, showFnc){
		$super(URL.dmmsettings, showFnc);
		},
		
		renderXML: function(xml){
			var list = new DMMSettingsList(xml).getArray();
			return { merlinsetting : list };
		}
	});

var AVSettingsListProvider = Class.create(AbstractContentProvider, {
	initialize: function($super, showFnc){
		$super(URL.avsettings, showFnc);
		},
		
		renderXML: function(xml){
			var list = new AVSettingsList(xml).getArray();
			return { avsetting : list };
		}
	});
	
var AVSettingsPreferredModesProvider = Class.create(AbstractContentProvider, {
	initialize: function($super, showFnc){
		$super(URL.avsettingspreferredmodes, showFnc);
		},
		
		renderXML: function(xml){
			var data = new AVSettingsPreferredModesList(xml);
			return data;
		},
	});

var PiconMapperListProvider = Class.create(AbstractContentProvider, {
	initialize: function($super, showFnc){
		$super(URL.piconmapper, showFnc);
		},
		
		renderXML: function(xml){
			var list = new PiconMappingList(xml).getArray();
			return { piconmapping : list };
		}
	});
	
var MemDevicesListProvider = Class.create(AbstractContentProvider, {
	initialize: function($super, showFnc){
		$super(URL.merlinmeminfo, showFnc);
		},
		
		renderXML: function(xml){
			var list = new MerlinMemDevicesList(xml).getArray();
			return { memdevices : list };
		}
	});